Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14195/?format=api
{ "ob_id": 14195, "uuid": "c3756d9f6deb4ad0a89791fe7fd69758", "title": "UTLS-Ozone ACTO campaign: Model output plots", "abstract": "Atmospheric Chemistry and Transport of Ozone in the upper troposphere-lower stratosphere (UTLS) (ACTO) campaign. This dataset contains model output potential vorticity and C-130 flight track plots.", "keywords": "UTLS, ACTO, Chemistry, temperature", "publicationState": "published", "dataPublishedTime": "2007-02-01T14:42:23", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14196/?format=api", "dataPath": "/badc/utls/data/acto/images", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1093382, "numberOfFiles": 28, "fileFormat": "Images are postscript formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/627/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/37/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Detailed meteorological and chemical forecast data were obtained from the European Centre for Medium-Range Weather Forecasts (ECMWF), UKMO and the Norwegian Institute for Air Research (NILU). Data were then passed on to the BADC where is it stored.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14435/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2322/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55079/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55073/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55074/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55075/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55076/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55077/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55078/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55072/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55081/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/14197/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }